<!doctype html public "-/w3c/dtd html 4.0 transitional/en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <title>LDAS CIT database Insertion Rates</title>
</head>
<body>

<pre><b><font size=+2>LDAS CIT Database Insertion Rates</font></b></pre>
<font size=-2>
<table cellpadding=1>
<tr>
    <th align=left width=150>Test Period</th>
    <td>January 25-26, 2000</td>
</tr>
<tr>
    <th align=left width=150>Input data</th>
    <td>Ilwd with dimensions 100</td>
    <td>
</tr>
<tr>
    <th align=left width=150>Platform</th>
    <td>metaserver.ligo.caltech.edu (SUN 450, 4 CPUs, RAM=1024MB, Solaris 2.7)</td>
    <td>
</tr>
<tr>
    <th align=left width=150>LDAS software</th>
    <td>ldas-0.0.8, IBM DB2 6.1</td>
    <td>
</tr>
</table></font>

<pre><i><font size=-1>Results are displayed in the order inserted.</i></font></pre>

<table border type=1><font size=-1>
<tr>
    <th align=left width=200>Table</th>
    <th width=100>#rows per block insert</th>
    <th width=100>CPU time (secs)</th>
    <th width=100>Wall Time (secs)</th>
    <th width=100>Rate (#rows/sec)</th>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.39</td>
    <td align=right bgcolor="#ffe6cd">0.653</td>
    <td align=right bgcolor="#ffe6cd">153.14</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.309</td>
    <td align=right bgcolor="#ffe6cd">323.62</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_chanlist</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.13</td>
    <td align=right bgcolor="#ffe6cd">0.286</td>
    <td align=right bgcolor="#ffe6cd">349.65</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_writer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.13</td>
    <td align=right bgcolor="#ffe6cd">0.469</td>
    <td align=right bgcolor="#ffe6cd">213.22</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.317</td>
    <td align=right bgcolor="#ffe6cd">315.46</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_loc</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.33</td>
    <td align=right bgcolor="#ffe6cd">0.425</td>
    <td align=right bgcolor="#ffe6cd">235.29</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment_definer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.433</td>
    <td align=right bgcolor="#ffe6cd">230.95</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.14</td>
    <td align=right bgcolor="#ffe6cd">0.193</td>
    <td align=right bgcolor="#ffe6cd">518.13</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_value</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.35</td>
    <td align=right bgcolor="#ffe6cd">0.552</td>
    <td align=right bgcolor="#ffe6cd">181.16</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_statistics</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.31</td>
    <td align=right bgcolor="#ffe6cd">0.456</td>
    <td align=right bgcolor="#ffe6cd">219.30</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_comment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.43</td>
    <td align=right bgcolor="#ffe6cd">0.579</td>
    <td align=right bgcolor="#ffe6cd">172.71</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_spectrum</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.41</td>
    <td align=right bgcolor="#ffe6cd">1.148</td>
    <td align=right bgcolor="#ffe6cd">87.11</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.19</td>
    <td align=right bgcolor="#ffe6cd">0.355</td>
    <td align=right bgcolor="#ffe6cd">281.69</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.26</td>
    <td align=right bgcolor="#ffe6cd">0.330</td>
    <td align=right bgcolor="#ffe6cd">303.03</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">gds_trigger</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.37</td>
    <td align=right bgcolor="#ffe6cd">0.580</td>
    <td align=right bgcolor="#ffe6cd">172.41</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.409</td>
    <td align=right bgcolor="#ffe6cd">244.50</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.21</td>
    <td align=right bgcolor="#ffe6cd">0.401</td>
    <td align=right bgcolor="#ffe6cd">249.37</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_ringdown</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.447</td>
    <td align=right bgcolor="#ffe6cd">223.71</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.447</td>
    <td align=right bgcolor="#ffe6cd">223.71</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled_v</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.17</td>
    <td align=right bgcolor="#ffe6cd">0.259</td>
    <td align=right bgcolor="#ffe6cd">386.10</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_dperiodic</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.26</td>
    <td align=right bgcolor="#ffe6cd">0.457</td>
    <td align=right bgcolor="#ffe6cd">218.82</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_datasource</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.346</td>
    <td align=right bgcolor="#ffe6cd">289.01</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_transdata</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.44</td>
    <td align=right bgcolor="#ffe6cd">1.130</td>
    <td align=right bgcolor="#ffe6cd">88.50</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.459</td>
    <td align=right bgcolor="#ffe6cd">217.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.21</td>
    <td align=right bgcolor="#ffe6cd">0.430</td>
    <td align=right bgcolor="#ffe6cd">232.56</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">coinc_sngl</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.50</td>
    <td align=right bgcolor="#ffe6cd">0.853</td>
    <td align=right bgcolor="#ffe6cd">117.23</td>
</tr>
</table></font>
<p>Summary: 
<ol>
<li>Insertion rate is much improved due to faster machines, direct
link to DB2 server instead of via openlink software and improved code
efficiency.</li>
<p>
<li>Insertion for tables <i>summ_spectrum</i> and <i>sngl_transdata</i> are slower
because these tables contain blob data.</li>
</body>
</html>

